% This file was created by tikzplotlib v0.9.3.
\begin{tikzpicture}

\definecolor{color0}{rgb}{0.349019607843137,0.490196078431372,0.749019607843137}
\definecolor{color1}{rgb}{0.852941176470588,0.544117647058824,0.370588235294118}

\begin{axis}[
axis line style={white!15!black},
height=234.0pt,
legend cell align={left},
legend style={fill opacity=0.8, draw opacity=1, text opacity=1, at={(0.97,0.03)}, anchor=south east, draw=white!80!black},
tick align=outside,
tick pos=left,
width=280pt,
x grid style={white!80!black},
xlabel={Relative Latency of the Layer},
xmajorgrids,
xmin=0, xmax=0.529804756645298,
xtick style={color=white!15!black},
xtick={0,0.1,0.2,0.3,0.4,0.5,0.6},
xticklabels={0.0,0.1,0.2,0.3,0.4,0.5,0.6},
y dir=reverse,
y grid style={white!80!black},
ylabel={Layers},
ymin=-0.5, ymax=8.5,
ytick style={color=white!15!black},
ytick={0,1,2,3,4,5,6,7,8},
yticklabels={0\_CONV\_2D,1\_AVERAGE\_POOL\_2D,2\_CONV\_2D,3\_AVERAGE\_POOL\_2D,4\_RESHAPE,5\_FULLY\_CONNECTED,6\_FULLY\_CONNECTED,7\_FULLY\_CONNECTED,8\_SOFTMAX}
]
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,-0.4) rectangle (axis cs:0.325938688543401,0);
\addlegendimage{ybar,ybar legend,draw=white,fill=color0,line width=0.32pt};
\addlegendentry{none}

\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,0.6) rectangle (axis cs:0.021882020384922,1);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,1.6) rectangle (axis cs:0.473426835435222,2);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,2.6) rectangle (axis cs:0.00928494330731309,3);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,3.6) rectangle (axis cs:0.00239322327029206,4);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,4.6) rectangle (axis cs:0.143835161023238,5);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,5.6) rectangle (axis cs:0.0209736024194516,6);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,6.6) rectangle (axis cs:0.00184945517737519,7);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,7.6) rectangle (axis cs:0.000416070438784597,8);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,-2.77555756156289e-17) rectangle (axis cs:0.370767140789318,0.4);
\addlegendimage{ybar,ybar legend,draw=white,fill=color1,line width=0.32pt};
\addlegendentry{cmsis-nn}

\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,1) rectangle (axis cs:0.0185004704346089,1.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,2) rectangle (axis cs:0.464570788637708,2.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,3) rectangle (axis cs:0.00779165479932788,3.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,4) rectangle (axis cs:0.00307098681909936,4.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,5) rectangle (axis cs:0.11606550545867,5.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,6) rectangle (axis cs:0.0173343780884253,6.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,7) rectangle (axis cs:0.00157365600595269,7.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,8) rectangle (axis cs:0.000325418966889729,8.4);
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.230757035858046 -0.2
0.379424090709792 -0.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.017052202602156 0.8
0.025360690745613 0.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.418839412262545 1.8
0.504575958709808 1.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00709743695745725 2.8
0.01078502600585 2.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.000955402644470529 3.8
0.00335981074935506 3.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0929865811576681 4.8
0.196917409116011 4.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0139329298444284 5.8
0.0278195401888548 5.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00128120943319402 6.8
0.00231448915355525 6.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.000285109192365845 7.8
0.000514447577791823 7.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.364530805519727 0.2
0.375431255901954 0.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.016088917973644 1.2
0.0228011888440793 1.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.411066857468803 2.2
0.492670989628426 2.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00666274474567134 3.2
0.00980195939116773 3.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00284202342880365 4.2
0.00330234466471195 4.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0933292870863122 5.2
0.155020064245614 5.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0139527708032761 6.2
0.0231114091004613 6.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00125456262386687 7.2
0.00210149205936215 7.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.000237349685596434 8.2
0.000455323279528465 8.2
};
\end{axis}

\end{tikzpicture}
